tigase.jaxmpp.core.client.xmpp.modules.vcard

## Class VCard

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.vcard.VCard

- All Implemented Interfaces:
    Serializable

      public class VCard
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VCard()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VCard` | `fromElement(Element elem)`
    `String` | `getBday()`
    `String` | `getDescription()`
    `String` | `getFullName()`
    `String` | `getHomeAddressCtry()`
    `String` | `getHomeAddressLocality()`
    `String` | `getHomeAddressPCode()`
    `String` | `getHomeAddressRegion()`
    `String` | `getHomeAddressStreet()`
    `String` | `getHomeEmail()`
    `String` | `getHomeTelFax()`
    `String` | `getHomeTelMsg()`
    `String` | `getHomeTelVoice()`
    `String` | `getJabberID()`
    `String` | `getNameFamily()`
    `String` | `getNameGiven()`
    `String` | `getNameMiddle()`
    `String` | `getNickName()`
    `String` | `getOrgName()`
    `String` | `getOrgUnit()`
    `String` | `getPhotoType()`
    `String` | `getPhotoVal()`
    `String` | `getRole()`
    `String` | `getTitle()`
    `String` | `getUrl()`
    `String` | `getWorkAddressCtry()`
    `String` | `getWorkAddressLocality()`
    `String` | `getWorkAddressPCode()`
    `String` | `getWorkAddressRegion()`
    `String` | `getWorkAddressStreet()`
    `String` | `getWorkEmail()`
    `String` | `getWorkTelFax()`
    `String` | `getWorkTelMsg()`
    `String` | `getWorkTelVoice()`
    `Element` | `makeElement()`
    `void` | `setBday(String bday)`
    `void` | `setDescription(String description)`
    `void` | `setFullName(String fullName)`
    `void` | `setHomeAddressCtry(String homeAddressCtry)`
    `void` | `setHomeAddressLocality(String homeAddressLocality)`
    `void` | `setHomeAddressPCode(String homeAddressPCode)`
    `void` | `setHomeAddressRegion(String homeAddressRegion)`
    `void` | `setHomeAddressStreet(String homeAddressStreet)`
    `void` | `setHomeEmail(String homeEmail)`
    `void` | `setHomeTelFax(String homeTelFax)`
    `void` | `setHomeTelMsg(String homeTelMsg)`
    `void` | `setHomeTelVoice(String homeTelVoice)`
    `void` | `setJabberID(String jabberID)`
    `void` | `setNameFamily(String nameFamily)`
    `void` | `setNameGiven(String nameGiven)`
    `void` | `setNameMiddle(String nameMiddle)`
    `void` | `setNickName(String nickName)`
    `void` | `setOrgName(String orgName)`
    `void` | `setOrgUnit(String orgUnit)`
    `void` | `setPhotoType(String photoType)`
    `void` | `setPhotoVal(String photoVal)`
    `void` | `setRole(String role)`
    `void` | `setTitle(String title)`
    `void` | `setUrl(String url)`
    `void` | `setWorkAddressCtry(String workAddressCtry)`
    `void` | `setWorkAddressLocality(String workAddressLocality)`
    `void` | `setWorkAddressPCode(String workAddressPCode)`
    `void` | `setWorkAddressRegion(String workAddressRegion)`
    `void` | `setWorkAddressStreet(String workAddressStreet)`
    `void` | `setWorkEmail(String workEmail)`
    `void` | `setWorkTelFax(String workTelFax)`
    `void` | `setWorkTelMsg(String workTelMsg)`
    `void` | `setWorkTelVoice(String workTelVoice)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VCard

          public VCard()

  - ### Method Detail

    - #### fromElement

          public static VCard fromElement(Element elem)
                                   throws XMLException

      Throws:
        `XMLException`

    - #### getBday

          public String getBday()

    - #### getDescription

          public String getDescription()

    - #### getFullName

          public String getFullName()

    - #### getHomeAddressCtry

          public String getHomeAddressCtry()

    - #### getHomeAddressLocality

          public String getHomeAddressLocality()

    - #### getHomeAddressPCode

          public String getHomeAddressPCode()

    - #### getHomeAddressRegion

          public String getHomeAddressRegion()

    - #### getHomeAddressStreet

          public String getHomeAddressStreet()

    - #### getHomeEmail

          public String getHomeEmail()

    - #### getHomeTelFax

          public String getHomeTelFax()

    - #### getHomeTelMsg

          public String getHomeTelMsg()

    - #### getHomeTelVoice

          public String getHomeTelVoice()

    - #### getJabberID

          public String getJabberID()

    - #### getNameFamily

          public String getNameFamily()

    - #### getNameGiven

          public String getNameGiven()

    - #### getNameMiddle

          public String getNameMiddle()

    - #### getNickName

          public String getNickName()

    - #### getOrgName

          public String getOrgName()

    - #### getOrgUnit

          public String getOrgUnit()

    - #### getPhotoType

          public String getPhotoType()

    - #### getPhotoVal

          public String getPhotoVal()

    - #### getRole

          public String getRole()

    - #### getTitle

          public String getTitle()

    - #### getUrl

          public String getUrl()

    - #### getWorkAddressCtry

          public String getWorkAddressCtry()

    - #### getWorkAddressLocality

          public String getWorkAddressLocality()

    - #### getWorkAddressPCode

          public String getWorkAddressPCode()

    - #### getWorkAddressRegion

          public String getWorkAddressRegion()

    - #### getWorkAddressStreet

          public String getWorkAddressStreet()

    - #### getWorkEmail

          public String getWorkEmail()

    - #### getWorkTelFax

          public String getWorkTelFax()

    - #### getWorkTelMsg

          public String getWorkTelMsg()

    - #### getWorkTelVoice

          public String getWorkTelVoice()

    - #### makeElement

          public Element makeElement()
                              throws XMLException

      Throws:
        `XMLException`

    - #### setBday

          public void setBday(String bday)

    - #### setDescription

          public void setDescription(String description)

    - #### setFullName

          public void setFullName(String fullName)

    - #### setHomeAddressCtry

          public void setHomeAddressCtry(String homeAddressCtry)

    - #### setHomeAddressLocality

          public void setHomeAddressLocality(String homeAddressLocality)

    - #### setHomeAddressPCode

          public void setHomeAddressPCode(String homeAddressPCode)

    - #### setHomeAddressRegion

          public void setHomeAddressRegion(String homeAddressRegion)

    - #### setHomeAddressStreet

          public void setHomeAddressStreet(String homeAddressStreet)

    - #### setHomeEmail

          public void setHomeEmail(String homeEmail)

    - #### setHomeTelFax

          public void setHomeTelFax(String homeTelFax)

    - #### setHomeTelMsg

          public void setHomeTelMsg(String homeTelMsg)

    - #### setHomeTelVoice

          public void setHomeTelVoice(String homeTelVoice)

    - #### setJabberID

          public void setJabberID(String jabberID)

    - #### setNameFamily

          public void setNameFamily(String nameFamily)

    - #### setNameGiven

          public void setNameGiven(String nameGiven)

    - #### setNameMiddle

          public void setNameMiddle(String nameMiddle)

    - #### setNickName

          public void setNickName(String nickName)

    - #### setOrgName

          public void setOrgName(String orgName)

    - #### setOrgUnit

          public void setOrgUnit(String orgUnit)

    - #### setPhotoType

          public void setPhotoType(String photoType)

    - #### setPhotoVal

          public void setPhotoVal(String photoVal)

    - #### setRole

          public void setRole(String role)

    - #### setTitle

          public void setTitle(String title)

    - #### setUrl

          public void setUrl(String url)

    - #### setWorkAddressCtry

          public void setWorkAddressCtry(String workAddressCtry)

    - #### setWorkAddressLocality

          public void setWorkAddressLocality(String workAddressLocality)

    - #### setWorkAddressPCode

          public void setWorkAddressPCode(String workAddressPCode)

    - #### setWorkAddressRegion

          public void setWorkAddressRegion(String workAddressRegion)

    - #### setWorkAddressStreet

          public void setWorkAddressStreet(String workAddressStreet)

    - #### setWorkEmail

          public void setWorkEmail(String workEmail)

    - #### setWorkTelFax

          public void setWorkTelFax(String workTelFax)

    - #### setWorkTelMsg

          public void setWorkTelMsg(String workTelMsg)

    - #### setWorkTelVoice

          public void setWorkTelVoice(String workTelVoice)

Copyright © 2006–2016 Tigase. All rights reserved.